@echo off
If .%1==. Goto Setup
If .%1==.-I Goto Install
If .%1==.-R Goto Repair
If .%1==.-U Goto Uninstall


@echo Use one of the following parameters
@echo -I for Installation
@echo -R for Repair
@echo -U for Uninstall

Goto END

:Install
@echo Starting the Silent Installation....
SetupYukonWin.exe /S /V"/LIME %WINDIR%\YukonInstall.log REBOOT=ReallySuppress /qn"
goto FINAL

:Repair
@echo Starting the Repair....
SetupYukonWin.exe /S /V"/LIME %WINDIR%\YukonInstall.log REINSTALLMODE=vomus REINSTALL=ALL REBOOT=ReallySuppress /qn"
goto FINAL

:Uninstall
@echo Starting the uninstallation....
SetupYukonWin_5X6E.exe /S /V"/LIME %WINDIR%\YukonInstall.log REMOVE=ALL REBOOT=ReallySuppress /qn"

:Setup
@echo Starting the Installation....
SetupYukonWin.exe
goto FINAL

:FINAL
@echo Operation completed


:END

